View Issue Details

IDProjectCategoryView StatusLast Update
09753Bug reportsSurvey editingpublic2015-07-24 11:44
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Target Version2.06+Fixed in Version2.06+ 
Summary09753: Lack of sub question for array text and arry number aren't show
DescriptionWith a Array numbre, if you have Y abscis but no X abscis : no line to edit sub question quick is shown
Steps To Reproduce- Create a Multiple choice question : you see the line "Warning: You need to add subquestions to this question "
- Copy this question, and set to "Array number type" : no line is shown
Additional InformationCreate a Aray question type show the line , clicking on it, save create X and Y abscis.
TagsNo tags attached.
Complete LimeSurvey version number (& build)150704
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

child of 09734 closedsammousa More quick to see error with 2.0 than 3.0 

Activities

DenisChenu

DenisChenu

2015-07-07 10:19

developer   ~32626

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15557
DenisChenu

DenisChenu

2015-07-07 10:21

developer   ~32627

Same for Array dual scale
c_schmitz

c_schmitz

2015-07-24 11:44

administrator   ~32790

Version 2.06 Build 150723 released

Related Changesets

LimeSurvey: master efac566c

2015-07-07 08:19:07

DenisChenu

Details Diff
Fixed issue 09753: Lack of sub question for array text and arry number aren't show in Question view
Dev: Test number of answers scales and subquestions scales
Dev: No view for question in ls3
Dev: Survey logic file need complete reworking : @todo for ls3 (or 3.1)
Affected Issues
09753
mod - application/core/Survey_Common_Action.php Diff File
mod - application/views/admin/survey/Question/questionbar_view.php Diff File

Issue History

Date Modified Username Field Change
2015-07-04 18:09 DenisChenu New Issue
2015-07-04 18:09 DenisChenu Status new => assigned
2015-07-04 18:09 DenisChenu Assigned To => DenisChenu
2015-07-07 10:19 DenisChenu Changeset attached => LimeSurvey master efac566c
2015-07-07 10:19 DenisChenu Note Added: 32626
2015-07-07 10:19 DenisChenu Resolution open => fixed
2015-07-07 10:19 DenisChenu Relationship added child of 09734
2015-07-07 10:21 DenisChenu Note Added: 32627
2015-07-07 10:21 DenisChenu Status assigned => resolved
2015-07-07 10:21 DenisChenu Fixed in Version => 2.06+
2015-07-24 11:44 c_schmitz Note Added: 32790
2015-07-24 11:44 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing